---
title: RTCIceCandidatePairStats.totalRoundTripTime
slug: Web/API/RTCIceCandidatePairStats/totalRoundTripTime
tags:
  - API
  - Candidate
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - Time
  - WebRTC
  - WebRTC API
  - round-trip
  - rount trip time
  - rtt
  - totalRoundTripTime
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <strong><code>totalRoundTripTime</code></strong> property is the total time that has elapsed between sending {{Glossary("STUN")}} requests and receiving the responses, for all such requests that have been made so far on the pair of candidates described by this <code>RTCIceCandidatePairStats</code> object.</span> This value includes both connectivity check and consent check requests.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>totalRTT</em> = <em>rtcIceCandidatePairStats</em>.totalRoundTripTime;</pre>

<h3 id="Value">Value</h3>


<p>This floating-point value indicates the total number of seconds which have elapsed between sending out STUN connectivity and consent check requests and receiving their responses, for all such requests made so far on the connection described by this candidate pair.</p>

<p>You can calculate the average round-trip time (RTT) by dividing this value by the value of the {{domxref("RTCIceCandidatePairStats.responsesReceived", "responsesReceived")}} property:</p>

<pre class="brush: js">rtt = rtcIceCandidatePairStats.totalRoundTripTime /
        rtcIceCandidatePairStats.responsesReceived;</pre>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-totalroundtriptime', 'RTCIceCandidatePairStats.totalRoundTripTime') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.totalRoundTripTime")}}</p>
